PolicySettings Class
Defines contents of a web application firewall global configuration.
- Inheritance
-
PolicySettings
Constructor
PolicySettings(*, state: typing.Union[str, _ForwardRef('WebApplicationFirewallEnabledState'), NoneType] = None, mode: typing.Union[str, _ForwardRef('WebApplicationFirewallMode'), NoneType] = None, request_body_check: typing.Union[bool, NoneType] = None, max_request_body_size_in_kb: typing.Union[int, NoneType] = None, file_upload_limit_in_mb: typing.Union[int, NoneType] = None, **kwargs)
Parameters
- state
- str or WebApplicationFirewallEnabledState
The state of the policy. Possible values include: "Disabled", "Enabled".
- mode
- str or WebApplicationFirewallMode
The mode of the policy. Possible values include: "Prevention", "Detection".
- request_body_check
- bool
Whether to allow WAF to check request Body.
- max_request_body_size_in_kb
- int
Maximum request body size in Kb for WAF.
- file_upload_limit_in_mb
- int
Maximum file upload size in Mb for WAF.
Feedback
Submit and view feedback for